{
  "name": "@jx3box/jx3box-common-ui",
  "version": "8.2.2",
  "description": "JX3BOX UI",
  "main": "index.js",
  "scripts": {
    "dev": "cross-env DEV_SERVER=true vue-cli-service serve",
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "lint": "vue-cli-service lint",
    "inspect": "vue inspect > output.js",
    "update": "npm --registry https://registry.npmjs.org install @jx3box/jx3box-common@latest @jx3box/jx3box-data@latest @jx3box/jx3box-comment-ui@latest @jx3box/jx3box-editor@latest",
    "header": "vue-cli-service build --target lib --name newheader src/Header.vue && cp public/index.html dist/newheader.html"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential"
    ],
    "rules": {},
    "parserOptions": {
      "parser": "babel-eslint"
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ],
  "dependencies": {
    "@jx3box/jx3box-comment-ui": "^1.8.7",
    "@jx3box/jx3box-common": "^8.2.4",
    "@jx3box/jx3box-data": "^3.5.6",
    "@jx3box/jx3box-editor": "^2.1.6",
    "@jx3box/reporter": "^0.0.4",
    "axios": "^0.26.1",
    "dayjs": "^1.11.0",
    "element-ui": "^2.13.2",
    "jquery": "^3.5.1",
    "lodash": "^4.17.15",
    "qrcode.vue": "^1.7.0",
    "url": "^0.11.0",
    "vue": "^2.6.11"
  },
  "devDependencies": {
    "@babel/plugin-proposal-optional-chaining": "^7.14.5",
    "@vue/cli-plugin-babel": "~4.3.0",
    "@vue/cli-plugin-eslint": "~4.3.0",
    "@vue/cli-plugin-vuex": "^4.0.0",
    "@vue/cli-service": "~4.3.0",
    "babel-eslint": "^10.1.0",
    "core-js": "^3.6.5",
    "cross-env": "^7.0.3",
    "csslab": "^4.0.3",
    "eslint": "^6.7.2",
    "eslint-plugin-vue": "^6.2.2",
    "less": "^3.0.4",
    "less-loader": "^5.0.0",
    "style-resources-loader": "^1.3.3",
    "vue-cli-plugin-element": "~1.0.1",
    "vue-svg-inline-loader": "^1.4.6",
    "vue-template-compiler": "^2.6.11",
    "weixin-js-sdk": "^1.6.0"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/JX3BOX/jx3box-common-ui.git"
  }
}
